package fpmon.chart;

import info.monitorenter.gui.chart.labelformatters.ALabelFormatter;

/**
 * For axes that have no labels.
 * 
 * @author Miles Asvachin
 */
public final class LabelFormatterNull extends ALabelFormatter
{
	private final int width;

	/**
	 * @param newWidth the formatter will behave as if the labels were this many
	 * characters wide
	 */
	public LabelFormatterNull(final int newWidth)
	{
		width = newWidth;
	}

	@Override
	public String format(final double value)
	{
		return "";
	}
	
	@Override
	public int getMaxAmountChars()
	{
		return 0;
	}
	
	@Override
	public void initPaintIteration(){}

	@Override
	public double getMinimumValueShiftForChange()
	{
		return 1.0;
	}

	@Override
	public double getNextEvenValue(double value, boolean ceiling)
	{
		return value;
	}

	@Override
	public Number parse(String formatted) throws NumberFormatException
	{
		return 0;
	}
}
