package fpmon.stats;

import java.util.Collection;
import org.hyperic.sigar.SigarProxy;

/**
 * Updates a collection of stats all at once.
 * 
 * @author Miles Asvachin
 */
public final class StatUpdater implements Runnable
{
	private final SigarProxy sigar;
	private final Collection<StatCollector> collectors;
	
	public StatUpdater(final SigarProxy newSigar, final Collection<StatCollector> newCollectors)
	{
		sigar = newSigar;
		collectors = newCollectors;
	}
	
	@Override
	public void run()
	{
		for(StatCollector collector : collectors)
		{
			collector.update(sigar);
		}
	}
}
